/**
 * Created by IntelliJ IDEA.
 * User: m09fpv
 * Date: 07.10.2009
 * Time: 17:20:23
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;
public class sort {
public static void main(String[]  args) throws Exception {
Scanner in=new  Scanner(new File("sort.in"));
PrintWriter out=new PrintWriter(new File("sort.out"));
 int i,j,tmp;
 int[] a=new int[1000];
  int n=in.nextInt();
    for (i=0;i<n;i++){
        a[i]=in.nextInt();
        }
     if(n==1){out.print(a[0]);}
     else{
     for (i=0;i<n;i++){
      for (j=0;j<n-1;j++){
          if(a[j]>a[j+1])
             {
             tmp=a[j];
             a[j]=a[j+1];
             a[j+1]=tmp;
             }
          }
      }
    for (i=0;i<n;i++){
        out.print(a[i]);
        out.print(" ");
                      }
     }
    in.close();
    out.close();
}
}
